## libtqtinterface 14.0.0-r315-0ubuntu12.04.1

=== qtinterface/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#  (C) 2011-2012 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing (DOT) net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if ( NOT HAVE_REAL_TQT )
  set( IFACE "interface_qt3" )
else ( NOT HAVE_REAL_TQT )
  set( IFACE "interface_tqt3" )
endif ( NOT HAVE_REAL_TQT )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/private
  ${QT_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/${IFACE}
  ${CMAKE_CURRENT_SOURCE_DIR}/${IFACE}/private
)

link_directories(
  ${QT_LIBRARY_DIR}
)


##### headers ###################################

configure_file( tqt.h.cmake tqt.h @ONLY )

install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/tqt.h ${IFACE}/tqtglobaldefines.h ${IFACE}/tqaccel.h ${IFACE}/tqaccessible.h
    ${IFACE}/tqaction.h ${IFACE}/tqapplication.h ${IFACE}/tqasyncio.h ${IFACE}/tqbuttongroup.h ${IFACE}/tqbutton.h ${IFACE}/tqcanvas.h
    ${IFACE}/tqcdestyle.h ${IFACE}/tqcheckbox.h ${IFACE}/tqclipboard.h ${IFACE}/tqcolordialog.h ${IFACE}/tqcombobox.h
    ${IFACE}/tqcommonstyle.h ${IFACE}/tqdatabrowser.h ${IFACE}/tqdatatable.h ${IFACE}/tqdataview.h ${IFACE}/tqdatetimeedit.h
    ${IFACE}/tqdesktopwidget.h ${IFACE}/tqdial.h ${IFACE}/tqdialog.h ${IFACE}/tqdns.h ${IFACE}/tqdockarea.h ${IFACE}/tqdockwindow.h
    ${IFACE}/tqdragobject.h ${IFACE}/tqerrormessage.h ${IFACE}/tqeventloop.h ${IFACE}/tqfiledialog.h ${IFACE}/tqfontdialog.h
    ${IFACE}/tqframe.h ${IFACE}/tqftp.h ${IFACE}/tqgl.h ${IFACE}/tqgplugin.h ${IFACE}/tqgrid.h ${IFACE}/tqgridview.h ${IFACE}/tqgroupbox.h
    ${IFACE}/tqguardedptr.h ${IFACE}/tqhbox.h ${IFACE}/tqhbuttongroup.h ${IFACE}/tqheader.h ${IFACE}/tqhgroupbox.h
    ${IFACE}/tqhttp.h ${IFACE}/tqiconview.h ${IFACE}/tqimageformatplugin.h ${IFACE}/tqinputdialog.h ${IFACE}/tqlabel.h
    ${IFACE}/tqlayout.h ${IFACE}/tqlcdnumber.h ${IFACE}/tqlineedit.h ${IFACE}/tqlistbox.h ${IFACE}/tqlistview.h ${IFACE}/tqlocalfs.h
    ${IFACE}/tqmainwindow.h ${IFACE}/tqmenubar.h ${IFACE}/tqmessagebox.h ${IFACE}/tqmotifplusstyle.h ${IFACE}/tqmotifstyle.h
    ${IFACE}/tqmultilineedit.h ${IFACE}/tqnetworkprotocol.h ${IFACE}/tqnp.h ${IFACE}/tqobjectcleanuphandler.h
    ${IFACE}/tqobject.h ${IFACE}/tqplatinumstyle.h ${IFACE}/tqpopupmenu.h ${IFACE}/tqprintdialog.h ${IFACE}/tqprocess.h
    ${IFACE}/tqprogressbar.h ${IFACE}/tqprogressdialog.h ${IFACE}/tqpushbutton.h ${IFACE}/tqradiobutton.h
    ${IFACE}/tqrangecontrol.h ${IFACE}/tqscrollbar.h ${IFACE}/tqscrollview.h ${IFACE}/tqsemimodal.h ${IFACE}/tqserversocket.h
    ${IFACE}/tqsessionmanager.h ${IFACE}/tqsgistyle.h ${IFACE}/tqsignal.h ${IFACE}/tqsignalmapper.h ${IFACE}/tqsizegrip.h
    ${IFACE}/tqslider.h ${IFACE}/tqsocket.h ${IFACE}/tqsocketnotifier.h ${IFACE}/tqsound.h ${IFACE}/tqspinbox.h ${IFACE}/tqsplashscreen.h
    ${IFACE}/tqsplitter.h ${IFACE}/tqsqldatabase.h ${IFACE}/tqsqldriver.h ${IFACE}/tqsqldriverplugin.h ${IFACE}/tqsqlform.h
    ${IFACE}/tqsqlquery.h ${IFACE}/tqstatusbar.h ${IFACE}/tqstyle.h ${IFACE}/tqstyleplugin.h ${IFACE}/tqstylesheet.h ${IFACE}/tqtabbar.h
    ${IFACE}/tqtabdialog.h ${IFACE}/tqtable.h ${IFACE}/tqtabwidget.h ${IFACE}/tqtextbrowser.h ${IFACE}/tqtextcodecplugin.h
    ${IFACE}/tqtextedit.h ${IFACE}/tqtextview.h ${IFACE}/tqtimer.h ${IFACE}/tqtoolbar.h ${IFACE}/tqtoolbox.h ${IFACE}/tqtoolbutton.h
    ${IFACE}/tqtooltip.h ${IFACE}/tqtranslator.h ${IFACE}/tqurloperator.h ${IFACE}/tqvalidator.h ${IFACE}/tqvbox.h
    ${IFACE}/tqvbuttongroup.h ${IFACE}/tqvgroupbox.h ${IFACE}/tqwidget.h ${IFACE}/tqwidgetplugin.h ${IFACE}/tqwidgetstack.h
    ${IFACE}/tqwindowsstyle.h ${IFACE}/tqwizard.h ${IFACE}/tqworkspace.h ${IFACE}/tqapp.h ${IFACE}/tqarray.h ${IFACE}/tqassistantclient.h
    ${IFACE}/tqbitarry.h ${IFACE}/tqbttngrp.h ${IFACE}/tqchkbox.h ${IFACE}/tqclipbrd.h ${IFACE}/tqcollect.h ${IFACE}/tqcollection.h ${IFACE}/tqcombo.h
    ${IFACE}/tqconfig.h ${IFACE}/tqconnect.h ${IFACE}/tqdatetm.h ${IFACE}/tqdrawutl.h ${IFACE}/tqdstream.h ${IFACE}/tqfeatures.h
    ${IFACE}/tqfiledef.h ${IFACE}/tqfiledlg.h ${IFACE}/tqfileinf.h ${IFACE}/tqfontinf.h ${IFACE}/tqfontmet.h ${IFACE}/tqgbkcodec.h
    ${IFACE}/tqgeneric.h ${IFACE}/tqgif.h ${IFACE}/tqglobal.h ${IFACE}/tqgrpbox.h ${IFACE}/tqintcach.h ${IFACE}/tqiodev.h ${IFACE}/tqjpegio.h
    ${IFACE}/tqkeycode.h ${IFACE}/tqlined.h ${IFACE}/tqlist.h ${IFACE}/tqmenudta.h ${IFACE}/tqmetaobj.h ${IFACE}/tqmlined.h ${IFACE}/tqmngio.h
    ${IFACE}/tqmodules.h ${IFACE}/tqmsgbox.h ${IFACE}/tqmultilinedit.h ${IFACE}/tqnetwork.h ${IFACE}/tqobjcoll.h ${IFACE}/tqobjdefs.h
    ${IFACE}/tqpaintdc.h ${IFACE}/tqpaintd.h ${IFACE}/tqpdevmet.h ${IFACE}/tqpmcache.h ${IFACE}/tqpntarry.h ${IFACE}/tqpopmenu.h
    ${IFACE}/tqprndlg.h ${IFACE}/tqprogbar.h ${IFACE}/tqprogdlg.h ${IFACE}/tqpushbt.h ${IFACE}/tqqueue.h ${IFACE}/tqradiobt.h ${IFACE}/tqrangect.h
    ${IFACE}/tqscrbar.h ${IFACE}/tqsession.h ${IFACE}/tqsocknot.h ${IFACE}/tqstack.h ${IFACE}/tqtabdlg.h ${IFACE}/tqtstream.h ${IFACE}/tqvector.h
    ${IFACE}/tqwidcoll.h ${IFACE}/tqwindefs.h ${IFACE}/tqwindowdefs.h ${IFACE}/tqwinexport.h ${IFACE}/tq1xcompatibility.h
    ${IFACE}/tqabstractlayout.h ${IFACE}/tqasciicache.h ${IFACE}/tqasciidict.h ${IFACE}/tqasyncimageio.h ${IFACE}/tqbig5codec.h
    ${IFACE}/tqbitarray.h ${IFACE}/tqbitmap.h ${IFACE}/tqbrush.h ${IFACE}/tqbuffer.h ${IFACE}/tqcache.h ${IFACE}/tqcleanuphandler.h
    ${IFACE}/tqcolor.h ${IFACE}/tqcompactstyle.h ${IFACE}/tqconnection.h ${IFACE}/tqcstring.h ${IFACE}/tqcursor.h ${IFACE}/tqdatastream.h
    ${IFACE}/tqdatetime.h ${IFACE}/tqdeepcopy.h ${IFACE}/tqdict.h ${IFACE}/tqdir.h ${IFACE}/tqdom.h ${IFACE}/tqdrawutil.h ${IFACE}/tqdropsite.h
    ${IFACE}/tqeditorfactory.h ${IFACE}/tqeucjpcodec.h ${IFACE}/tqeuckrcodec.h ${IFACE}/tqevent.h ${IFACE}/tqfile.h ${IFACE}/tqfileinfo.h
    ${IFACE}/tqfocusdata.h ${IFACE}/tqfontdatabase.h ${IFACE}/tqfont.h ${IFACE}/tqfontinfo.h ${IFACE}/tqfontmetrics.h
    ${IFACE}/tqgarray.h ${IFACE}/tqgb18030codec.h ${IFACE}/tqgcache.h ${IFACE}/tqgdict.h ${IFACE}/tqglcolormap.h ${IFACE}/tqglist.h
    ${IFACE}/tqgvector.h ${IFACE}/tqhostaddress.h ${IFACE}/tqiconset.h ${IFACE}/tqimage.h ${IFACE}/tqintcache.h ${IFACE}/tqintdict.h
    ${IFACE}/tqinterlacestyle.h ${IFACE}/tqiodevice.h ${IFACE}/tqjiscodec.h ${IFACE}/tqjpunicode.h ${IFACE}/tqkeysequence.h
    ${IFACE}/tqlibrary.h ${IFACE}/tqlocale.h ${IFACE}/tqmap.h ${IFACE}/tqmemarray.h ${IFACE}/tqmenudata.h ${IFACE}/tqmetaobject.h
    ${IFACE}/tqmime.h ${IFACE}/tqmovie.h ${IFACE}/tqmutex.h ${IFACE}/tqnamespace.h ${IFACE}/tqobjectdict.h ${IFACE}/tqobjectlist.h
    ${IFACE}/tqpaintdevice.h ${IFACE}/tqpaintdevicemetrics.h ${IFACE}/tqpainter.h ${IFACE}/tqpair.h ${IFACE}/tqpalette.h ${IFACE}/tqpen.h
    ${IFACE}/tqpicture.h ${IFACE}/tqpixmapcache.h ${IFACE}/tqpixmap.h ${IFACE}/tqpngio.h ${IFACE}/tqpointarray.h ${IFACE}/tqpoint.h
    ${IFACE}/tqpolygonscanner.h ${IFACE}/tqprinter.h ${IFACE}/tqptrcollection.h ${IFACE}/tqptrdict.h ${IFACE}/tqptrlist.h
    ${IFACE}/tqptrqueue.h ${IFACE}/tqptrstack.h ${IFACE}/tqptrvector.h ${IFACE}/tqrect.h ${IFACE}/tqregexp.h ${IFACE}/tqregion.h
    ${IFACE}/tqrtlcodec.h ${IFACE}/tqsemaphore.h ${IFACE}/tqsettings.h ${IFACE}/tqshared.h ${IFACE}/tqsignalslotimp.h
    ${IFACE}/tqsimplerichtext.h ${IFACE}/tqsize.h ${IFACE}/tqsizepolicy.h ${IFACE}/tqsjiscodec.h ${IFACE}/tqsocketdevice.h
    ${IFACE}/tqsortedlist.h ${IFACE}/tqsqlcursor.h ${IFACE}/tqsqleditorfactory.h ${IFACE}/tqsqlerror.h ${IFACE}/tqsqlfield.h
    ${IFACE}/tqsql.h ${IFACE}/tqsqlindex.h ${IFACE}/tqsqlpropertymap.h ${IFACE}/tqsqlrecord.h ${IFACE}/tqsqlresult.h
    ${IFACE}/tqsqlselectcursor.h ${IFACE}/tqstring.h ${IFACE}/tqstringlist.h ${IFACE}/tqstrlist.h ${IFACE}/tqstrvec.h
    ${IFACE}/tqstylefactory.h ${IFACE}/tqsyntaxhighlighter.h ${IFACE}/tqtextcodecfactory.h ${IFACE}/tqtextcodec.h
    ${IFACE}/tqtextstream.h ${IFACE}/tqthread.h ${IFACE}/tqthreadstorage.h ${IFACE}/tqtl.h ${IFACE}/tqtsciicodec.h ${IFACE}/tqurl.h
    ${IFACE}/tqurlinfo.h ${IFACE}/tqutfcodec.h ${IFACE}/tquuid.h ${IFACE}/tqvaluelist.h ${IFACE}/tqvaluestack.h ${IFACE}/tqvaluevector.h
    ${IFACE}/tqvariant.h ${IFACE}/tqvfbhdr.h ${IFACE}/tqwaitcondition.h ${IFACE}/tqwhatsthis.h ${IFACE}/tqwidgetfactory.h
    ${IFACE}/tqwidgetintdict.h ${IFACE}/tqwidgetlist.h ${IFACE}/tqwmatrix.h ${IFACE}/tqxml.h ${IFACE}/private/tqucomextra_p.h
    ${IFACE}/private/tqlayoutengine_p.h ${IFACE}/private/tqinternal_p.h ${IFACE}/private/tqeffects_p.h
    ${IFACE}/private/tqrichtext_p.h ${IFACE}/private/tqpluginmanager_p.h ${IFACE}/private/tqcom_p.h
    ${IFACE}/private/tqucom_p.h ${IFACE}/private/tqwidgetinterface_p.h ${IFACE}/private/tqtextengine_p.h
    ${IFACE}/tqlistiterator.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )

install(
  DIRECTORY tqt4/Qt
  DESTINATION ${INCLUDE_INSTALL_DIR}
  PATTERN ".svn" EXCLUDE )


##### tqt tools #################################

configure_file( ${IFACE}/tmoc.cmake tmoc @ONLY )
configure_file( uic-tqt.cmake uic-tqt @ONLY )
if ( NOT HAVE_REAL_TQT )
  configure_file( tqt-replace.cmake tqt-replace @ONLY )
  configure_file( tqt-replace-stream.cmake tqt-replace-stream @ONLY )
else ()
  configure_file( tqt-replace-tqt3.cmake tqt-replace @ONLY )
  configure_file( tqt-replace-stream-tqt3.cmake tqt-replace-stream @ONLY )
endif ()

install( PROGRAMS
    moc-tqt ${CMAKE_CURRENT_BINARY_DIR}/uic-tqt 
    mcopidl-tqt dcopidl-tqt dcopidlng-tqt
    dcopidl2cpp-tqt convert_qt_tqt1 convert_qt_tqt2
    convert_qt_tqt3 ${CMAKE_CURRENT_BINARY_DIR}/tmoc
    ${CMAKE_CURRENT_BINARY_DIR}/tqt-replace
    ${CMAKE_CURRENT_BINARY_DIR}/tqt-replace-stream
  DESTINATION ${BIN_INSTALL_DIR} )


##### tqt pkgconfig #############################

string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )

unset( PC_QT_LIBRARIES )
foreach( _lib ${QT_LIBRARIES} )
  set( PC_QT_LIBRARIES "${PC_QT_LIBRARIES} -l${_lib}" )
endforeach( )

configure_file( tqt.pc.cmake tqt.pc @ONLY )
configure_file( tqtqui.pc.cmake tqtqui.pc @ONLY )

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/tqt.pc DESTINATION ${PKGCONFIG_INSTALL_DIR} )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/tqtqui.pc DESTINATION ${PKGCONFIG_INSTALL_DIR} )


##### tqt (shared) ##############################


tde_add_library( tqt SHARED
  SOURCES
    ${IFACE}/tqt.cpp ${IFACE}/tqaccel.cpp ${IFACE}/tqaccessible.cpp ${IFACE}/tqaction.cpp ${IFACE}/tqapplication.cpp
    ${IFACE}/tqasyncio.cpp ${IFACE}/tqbuttongroup.cpp ${IFACE}/tqbutton.cpp ${IFACE}/tqcanvas.cpp ${IFACE}/tqcdestyle.cpp
    ${IFACE}/tqcheckbox.cpp ${IFACE}/tqclipboard.cpp ${IFACE}/tqcolordialog.cpp ${IFACE}/tqcombobox.cpp
    ${IFACE}/tqcommonstyle.cpp ${IFACE}/tqdatabrowser.cpp ${IFACE}/tqdatatable.cpp ${IFACE}/tqdataview.cpp
    ${IFACE}/tqdatetimeedit.cpp ${IFACE}/tqdesktopwidget.cpp ${IFACE}/tqdial.cpp ${IFACE}/tqdialog.cpp ${IFACE}/tqdns.cpp
    ${IFACE}/tqdockarea.cpp ${IFACE}/tqdockwindow.cpp ${IFACE}/tqdragobject.cpp ${IFACE}/tqerrormessage.cpp
    ${IFACE}/tqeventloop.cpp ${IFACE}/tqframe.cpp ${IFACE}/tqftp.cpp ${IFACE}/tqfiledialog.cpp ${IFACE}/tqfontdialog.cpp
    ${IFACE}/tqgl.cpp ${IFACE}/tqgplugin.cpp ${IFACE}/tqgrid.cpp ${IFACE}/tqgridview.cpp ${IFACE}/tqgroupbox.cpp
    ${IFACE}/tqguardedptr.cpp ${IFACE}/tqhbox.cpp ${IFACE}/tqhbuttongroup.cpp ${IFACE}/tqheader.cpp
    ${IFACE}/tqhgroupbox.cpp ${IFACE}/tqhttp.cpp ${IFACE}/tqiconview.cpp ${IFACE}/tqimageformatplugin.cpp
    ${IFACE}/tqinputdialog.cpp ${IFACE}/tqlabel.cpp ${IFACE}/tqlayout.cpp ${IFACE}/tqlcdnumber.cpp ${IFACE}/tqlineedit.cpp
    ${IFACE}/tqlistbox.cpp ${IFACE}/tqlistview.cpp ${IFACE}/tqlocalfs.cpp ${IFACE}/tqmainwindow.cpp ${IFACE}/tqmenubar.cpp

## libtqtinterface 3.5.13.2

=== debian/changelog ===
libtqtinterface (4:3.5.13.2-0ubuntu13.04.0+0) raring; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 14:16:21 +0200

libtqtinterface (4:0.3.0) lucid; urgency=low

  * Initial release of the TQt Interface Library, supporting Qt3

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 12 Jul 2010 03:13:00 -0600

=== debian/control ===
Source: libtqtinterface
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>> 4.0.0), quilt, libqt3-mt-dev, qt3-apps-dev, cmake, cdbs
Standards-Version: 3.8.4

Package: libtqtinterface
Architecture: any
Section: libs
Replaces: libtqtinterface (<< 4:3.5.13)
Breaks: libtqtinterface (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: The Trinity Qt Interface Libraries
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-dev
Architecture: any
Section: libs
Replaces: libtqtinterface-dev (<< 4:3.5.13)
Breaks: libtqtinterface-dev (<< 4:3.5.13)
Depends: ${shlibs:Depends} libtqtinterface (>= ${Source-Version}), qt3-apps-dev
Description: The Trinity Qt Interface Libraries (Development Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-doc
Architecture: any
Section: libs
Replaces: libtqtinterface-doc (<< 4:3.5.13)
Breaks: libtqtinterface-doc (<< 4:3.5.13)
Depends: ${shlibs:Depends} libtqtinterface (>= ${Source-Version}), qt3-doc
Description: The Trinity Qt Interface Libraries (Debug Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-dbg
Architecture: any
Section: libs
Replaces: libtqtinterface-dbg (<< 4:3.5.13)
Breaks: libtqtinterface-dbg (<< 4:3.5.13)
Depends: ${shlibs:Depends} libtqtinterface (>= ${Source-Version}), qt-x11-free-dbg
Description: The Trinity Qt Interface Libraries (Debug Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

=== debian/rules ===
#! /usr/bin/make -f
# see debian/rules file for kdesvn for cmake examples

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_KDE_APIDOX := yes

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CMAKE_EXTRA_FLAGS := -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/usr" -DCMAKE_LIBRARY_PATH="/usr/lib" -DCMAKE_INCLUDE_PATH="/usr/include" -DCMAKE_VERBOSE_MAKEFILE="ON" -DWITH_QT3="ON" -DQTDIR="/usr/share/qt3" -DQT_LIBRARY_DIRS="/usr/share/qt3/lib" -DBUILD_ALL="ON" -DUSE_QT3="ON" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

## libtqtinterface 14.0.0-r315-0ubuntu12.04.1

=== debian/changelog ===
libtqtinterface (4:14.0.0-r315-0ubuntu12.04.1) precise; urgency=low

  * Repack

 -- falkTX <falktx@gmail.com>  Sat, 25 May 2013 01:06:11 +0100

libtqtinterface (4:14.0.0-r315-0ubuntu12.04.0+pr3) precise; urgency=low

  * Automated git build for 066ad6c7dd15b1dbd2f73593f20dac11fc45d33f

 -- root <kb9vqf@pearsoncomputing.net>  Fri, 24 May 2013 16:15:09 -0500

=== debian/control ===
Source: libtqtinterface
Section: x11
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>> 4.0.0), libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
Standards-Version: 3.8.4

Package: libtqtinterface
Architecture: any
Section: libs
Replaces: libtqtinterface (<< 4:14.0.0)
Breaks: libtqtinterface (<< 4:14.0.0)
Depends: ${shlibs:Depends}
Description: The Trinity Qt Interface Libraries
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-dev
Architecture: any
Section: libs
Replaces: libtqtinterface-dev (<< 4:14.0.0)
Breaks: libtqtinterface-dev (<< 4:14.0.0)
Depends: ${shlibs:Depends} libtqtinterface (>= ${Source-Version}), tqt3-apps-dev
Description: The Trinity Qt Interface Libraries (Development Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-doc
Architecture: any
Section: libs
Replaces: libtqtinterface-doc (<< 4:14.0.0)
Breaks: libtqtinterface-doc (<< 4:14.0.0)
Depends: ${shlibs:Depends} libtqtinterface (>= ${Source-Version}), tqt3-doc
Description: The Trinity Qt Interface Libraries (Debug Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-dbg
Architecture: any
Section: libs
Replaces: libtqtinterface-dbg (<< 4:14.0.0)
Breaks: libtqtinterface-dbg (<< 4:14.0.0)
Depends: ${shlibs:Depends} libtqtinterface (>= ${Source-Version}), tqt-x11-free-dbg
Description: The Trinity Qt Interface Libraries (Debug Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #! /usr/bin/make -f
-# see debian/rules file for kdesvn for cmake examples
+# see debian/rules file for tdesvn for cmake examples
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
 DEB_KDE_APIDOX := yes

## libtqtinterface 14.0.5

=== debian/changelog ===
libtqtinterface (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 03:31:48 +0200

=== debian/control ===
Source: libtqtinterface
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
Standards-Version: 3.8.4

Package: libtqtinterface
Architecture: any
Section: libs
Replaces: libtqtinterface (<< 4:14.0.0~)
Breaks: libtqtinterface (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: The Trinity Qt Interface Libraries
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-dev
Architecture: any
Section: libs
Replaces: libtqtinterface-dev (<< 4:14.0.0~)
Breaks: libtqtinterface-dev (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libtqtinterface (>= ${source:Version}), tqt3-apps-dev
Description: The Trinity Qt Interface Libraries (Development Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-doc
Architecture: any
Section: libs
Replaces: libtqtinterface-doc (<< 4:14.0.0~)
Breaks: libtqtinterface-doc (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libtqtinterface (>= ${source:Version}), tqt3-doc
Description: The Trinity Qt Interface Libraries (Debug Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

Package: libtqtinterface-dbg
Architecture: any
Section: libs
Replaces: libtqtinterface-dbg (<< 4:14.0.0~)
Breaks: libtqtinterface-dbg (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libtqtinterface (>= ${source:Version}), tqt-x11-free-dbg
Description: The Trinity Qt Interface Libraries (Debug Files)
 The Trinity Qt Interface is a library that abstracts Qt from Trinity
 This allows the Trinity code to rapidly port from one version of Qt to another.
 This is primarily accomplished by defining old functions in terms of new functions,
 although some code has been added for useful functions that are no longer part of Qt.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
 DEB_KDE_APIDOX := yes

## libtqtinterface 14.0.6

=== debian/changelog ===
libtqtinterface (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 21:48:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,12 @@
 version=Debian Package $(DEB_VERSION)
 DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)
 
-DEB_CMAKE_EXTRA_FLAGS := -DPKGCONFIG_INSTALL_DIR="/usr/lib/pkgconfig" -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/usr" -DCMAKE_LIBRARY_PATH="/usr/lib" -DCMAKE_INCLUDE_PATH="/usr/include" -DCMAKE_VERBOSE_MAKEFILE="ON" -DWITH_QT3="ON" -DQTDIR="/usr/share/qt3" -DQT_LIBRARY_DIRS="/usr/share/qt3/lib" -DBUILD_ALL="ON" -DUSE_QT3="ON" \
--DCMAKE_BUILD_TYPE=RelWithDebInfo
+DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DCMAKE_VERBOSE_MAKEFILE="ON" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+ -DBUILD_ALL="ON" \
+ -DWITH_QT3="ON"
 
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)

## libtqtinterface 14.0.8

=== debian/changelog ===
libtqtinterface (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:36:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
+Build-Depends: debhelper (>= 9~), quilt, libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
 Standards-Version: 3.8.4
 
 Package: libtqtinterface

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,6 @@
 
 # Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
 # never build in parallel, regardless of DEB_BUILD_OPTIONS.
-DEB_BUILD_PARALLEL = true
+DEB_BUILD_PARALLEL ?= true
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

## libtqtinterface 14.0.9

=== debian/changelog ===
libtqtinterface (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:48:36 +0200

## libtqtinterface 14.0.10

=== debian/changelog ===
libtqtinterface (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libtqtinterface
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), quilt, libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
 Standards-Version: 3.8.4
 
@@ -18,7 +18,7 @@
  although some code has been added for useful functions that are no longer part of Qt.
 
 Package: libtqtinterface-dev
-Architecture: any
+Architecture: all
 Section: libs
 Replaces: libtqtinterface-dev (<< 4:14.0.0~)
 Breaks: libtqtinterface-dev (<< 4:14.0.0~)
@@ -30,7 +30,7 @@
  although some code has been added for useful functions that are no longer part of Qt.
 
 Package: libtqtinterface-doc
-Architecture: any
+Architecture: all
 Section: libs
 Replaces: libtqtinterface-doc (<< 4:14.0.0~)
 Breaks: libtqtinterface-doc (<< 4:14.0.0~)

=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,25 @@
 version=Debian Package $(DEB_VERSION)
 DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)
 
-DEB_CMAKE_EXTRA_FLAGS := \
- -DCMAKE_INSTALL_PREFIX="/usr" \
- -DCMAKE_VERBOSE_MAKEFILE="ON" \
- -DCMAKE_BUILD_TYPE=RelWithDebInfo \
- -DBUILD_ALL="ON" \
- -DWITH_QT3="ON"
-
+# The default gzip compressor has been changed in dpkg >= 1.17.0.
+deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
+                         sed -e "s|.*version ||" -e "s| .*||" | \
+                         xargs -r dpkg --compare-versions 1.17.0 lt \
+                         && echo xz || echo gzip)
+ifeq ($(deb_default_compress),gzip)
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)
+endif
 
 # Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
 # never build in parallel, regardless of DEB_BUILD_OPTIONS.
 DEB_BUILD_PARALLEL ?= true
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DCMAKE_VERBOSE_MAKEFILE="ON" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+ -DWITH_QT3="ON"

## libtqtinterface 14.0.11

=== debian/changelog ===
libtqtinterface (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 May 2021 16:26:09 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DWITH_QT3="ON"

## libtqtinterface 14.0.12

=== debian/changelog ===
libtqtinterface (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Dec 2021 13:03:01 +0100

## libtqtinterface 14.0.13

=== debian/changelog ===
libtqtinterface (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 20 Jun 2022 10:55:59 +0200

## libtqtinterface 14.1.0

=== qtinterface/CMakeLists.txt ===
--- 
+++ 
@@ -11,23 +11,20 @@
 #
 #################################################
 
-if ( NOT HAVE_REAL_TQT )
-  set( IFACE "interface_qt3" )
-else ( NOT HAVE_REAL_TQT )
-  set( IFACE "interface_tqt3" )
-endif ( NOT HAVE_REAL_TQT )
+set( IFACE "interface_tqt3" )
 
 include_directories(
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/private
-  ${QT_INCLUDE_DIR}
+  ${TQT_INCLUDE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/${IFACE}
   ${CMAKE_CURRENT_SOURCE_DIR}/${IFACE}/private
+  ${CMAKE_BINARY_DIR}
 )
 
 link_directories(
-  ${QT_LIBRARY_DIR}
+  ${TQT_LIBRARY_DIR}
 )
 
 
@@ -64,12 +61,12 @@
     ${IFACE}/tqconfig.h ${IFACE}/tqconnect.h ${IFACE}/tqdatetm.h ${IFACE}/tqdrawutl.h ${IFACE}/tqdstream.h ${IFACE}/tqfeatures.h
     ${IFACE}/tqfiledef.h ${IFACE}/tqfiledlg.h ${IFACE}/tqfileinf.h ${IFACE}/tqfontinf.h ${IFACE}/tqfontmet.h ${IFACE}/tqgbkcodec.h
     ${IFACE}/tqgeneric.h ${IFACE}/tqgif.h ${IFACE}/tqglobal.h ${IFACE}/tqgrpbox.h ${IFACE}/tqintcach.h ${IFACE}/tqiodev.h ${IFACE}/tqjpegio.h
-    ${IFACE}/tqkeycode.h ${IFACE}/tqlined.h ${IFACE}/tqlist.h ${IFACE}/tqmenudta.h ${IFACE}/tqmetaobj.h ${IFACE}/tqmlined.h ${IFACE}/tqmngio.h
+    ${IFACE}/tqkeycode.h ${IFACE}/tqlined.h ${IFACE}/tqmenudta.h ${IFACE}/tqmetaobj.h ${IFACE}/tqmlined.h ${IFACE}/tqmngio.h
     ${IFACE}/tqmodules.h ${IFACE}/tqmsgbox.h ${IFACE}/tqmultilinedit.h ${IFACE}/tqnetwork.h ${IFACE}/tqobjcoll.h ${IFACE}/tqobjdefs.h
-    ${IFACE}/tqpaintdc.h ${IFACE}/tqpaintd.h ${IFACE}/tqpdevmet.h ${IFACE}/tqpmcache.h ${IFACE}/tqpntarry.h ${IFACE}/tqpopmenu.h
+    ${IFACE}/tqpdevmet.h ${IFACE}/tqpmcache.h ${IFACE}/tqpntarry.h ${IFACE}/tqpopmenu.h
     ${IFACE}/tqprndlg.h ${IFACE}/tqprogbar.h ${IFACE}/tqprogdlg.h ${IFACE}/tqpushbt.h ${IFACE}/tqqueue.h ${IFACE}/tqradiobt.h ${IFACE}/tqrangect.h
-    ${IFACE}/tqscrbar.h ${IFACE}/tqsession.h ${IFACE}/tqsocknot.h ${IFACE}/tqstack.h ${IFACE}/tqtabdlg.h ${IFACE}/tqtstream.h ${IFACE}/tqvector.h
-    ${IFACE}/tqwidcoll.h ${IFACE}/tqwindefs.h ${IFACE}/tqwindowdefs.h ${IFACE}/tqwinexport.h ${IFACE}/tq1xcompatibility.h
+    ${IFACE}/tqscrbar.h ${IFACE}/tqsession.h ${IFACE}/tqsocknot.h ${IFACE}/tqtabdlg.h ${IFACE}/tqtstream.h
+    ${IFACE}/tqwidcoll.h ${IFACE}/tqwindefs.h ${IFACE}/tqwindowdefs.h ${IFACE}/tqwinexport.h
     ${IFACE}/tqabstractlayout.h ${IFACE}/tqasciicache.h ${IFACE}/tqasciidict.h ${IFACE}/tqasyncimageio.h ${IFACE}/tqbig5codec.h
     ${IFACE}/tqbitarray.h ${IFACE}/tqbitmap.h ${IFACE}/tqbrush.h ${IFACE}/tqbuffer.h ${IFACE}/tqcache.h ${IFACE}/tqcleanuphandler.h
     ${IFACE}/tqcolor.h ${IFACE}/tqcompactstyle.h ${IFACE}/tqconnection.h ${IFACE}/tqcstring.h ${IFACE}/tqcursor.h ${IFACE}/tqdatastream.h
@@ -98,26 +95,14 @@
     ${IFACE}/private/tqlayoutengine_p.h ${IFACE}/private/tqinternal_p.h ${IFACE}/private/tqeffects_p.h
     ${IFACE}/private/tqrichtext_p.h ${IFACE}/private/tqpluginmanager_p.h ${IFACE}/private/tqcom_p.h
     ${IFACE}/private/tqucom_p.h ${IFACE}/private/tqwidgetinterface_p.h ${IFACE}/private/tqtextengine_p.h
-    ${IFACE}/tqlistiterator.h
   DESTINATION ${INCLUDE_INSTALL_DIR} )
-
-install(
-  DIRECTORY tqt4/Qt
-  DESTINATION ${INCLUDE_INSTALL_DIR}
-  PATTERN ".svn" EXCLUDE )
-
 
 ##### tqt tools #################################
 
 configure_file( ${IFACE}/tmoc.cmake tmoc @ONLY )
 configure_file( uic-tqt.cmake uic-tqt @ONLY )
-if ( NOT HAVE_REAL_TQT )
-  configure_file( tqt-replace.cmake tqt-replace @ONLY )
-  configure_file( tqt-replace-stream.cmake tqt-replace-stream @ONLY )
-else ()
-  configure_file( tqt-replace-tqt3.cmake tqt-replace @ONLY )
-  configure_file( tqt-replace-stream-tqt3.cmake tqt-replace-stream @ONLY )
-endif ()
+configure_file( tqt-replace-tqt3.cmake tqt-replace @ONLY )
+configure_file( tqt-replace-stream-tqt3.cmake tqt-replace-stream @ONLY )
 
 install( PROGRAMS
     moc-tqt ${CMAKE_CURRENT_BINARY_DIR}/uic-tqt 
@@ -135,9 +120,9 @@
 string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
 string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )
 
-unset( PC_QT_LIBRARIES )
-foreach( _lib ${QT_LIBRARIES} )
-  set( PC_QT_LIBRARIES "${PC_QT_LIBRARIES} -l${_lib}" )
+unset( PC_TQT_LIBRARIES )
+foreach( _lib ${TQT_LIBRARIES} )
+  set( PC_TQT_LIBRARIES "${PC_TQT_LIBRARIES} -l${_lib}" )
 endforeach( )
 
 configure_file( tqt.pc.cmake tqt.pc @ONLY )
@@ -164,3 +149,8 @@
     ${IFACE}/tqhgroupbox.cpp ${IFACE}/tqhttp.cpp ${IFACE}/tqiconview.cpp ${IFACE}/tqimageformatplugin.cpp
     ${IFACE}/tqinputdialog.cpp ${IFACE}/tqlabel.cpp ${IFACE}/tqlayout.cpp ${IFACE}/tqlcdnumber.cpp ${IFACE}/tqlineedit.cpp
     ${IFACE}/tqlistbox.cpp ${IFACE}/tqlistview.cpp ${IFACE}/tqlocalfs.cpp ${IFACE}/tqmainwindow.cpp ${IFACE}/tqmenubar.cpp
+    ${IFACE}/tqmessagebox.cpp ${IFACE}/tqmotifplusstyle.cpp ${IFACE}/tqmotifstyle.cpp ${IFACE}/tqmultilineedit.cpp
+    ${IFACE}/tqnetworkprotocol.cpp ${IFACE}/tqnp.cpp ${IFACE}/tqobjectcleanuphandler.cpp ${IFACE}/tqobject.cpp
+    ${IFACE}/tqplatinumstyle.cpp ${IFACE}/tqpopupmenu.cpp ${IFACE}/tqprintdialog.cpp ${IFACE}/tqprocess.cpp
+    ${IFACE}/tqprogressbar.cpp ${IFACE}/tqprogressdialog.cpp ${IFACE}/tqpushbutton.cpp ${IFACE}/tqradiobutton.cpp
+    ${IFACE}/tqrangecontrol.cpp ${IFACE}/tqscrollbar.cpp ${IFACE}/tqscrollview.cpp ${IFACE}/tqsemimodal.cpp

=== debian/changelog ===
libtqtinterface (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, libtqt3-mt-dev, tqt3-apps-dev, cmake, cdbs
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, tqt3-apps-dev
 Standards-Version: 3.8.4
 
 Package: libtqtinterface
 Architecture: any
+Multi-Arch: same
 Section: libs
 Replaces: libtqtinterface (<< 4:14.0.0~)
 Breaks: libtqtinterface (<< 4:14.0.0~)
@@ -19,6 +20,7 @@
 
 Package: libtqtinterface-dev
 Architecture: all
+Multi-Arch: foreign
 Section: libs
 Replaces: libtqtinterface-dev (<< 4:14.0.0~)
 Breaks: libtqtinterface-dev (<< 4:14.0.0~)
@@ -31,6 +33,7 @@
 
 Package: libtqtinterface-doc
 Architecture: all
+Multi-Arch: foreign
 Section: libs
 Replaces: libtqtinterface-doc (<< 4:14.0.0~)
 Breaks: libtqtinterface-doc (<< 4:14.0.0~)
@@ -43,6 +46,7 @@
 
 Package: libtqtinterface-dbg
 Architecture: any
+Multi-Arch: same
 Section: libs
 Replaces: libtqtinterface-dbg (<< 4:14.0.0~)
 Breaks: libtqtinterface-dbg (<< 4:14.0.0~)

## libtqtinterface 14.1.1

=== debian/changelog ===
libtqtinterface (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 09 Oct 2023 10:03:15 +0200

## libtqtinterface 14.1.2

=== qtinterface/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,10 @@
   ${TQT_LIBRARY_DIR}
 )
 
+if ( INPUTMETHOD_ENABLED )
+    set( INPUTMETHOD_HEADERS ${IFACE}/tqinputcontext.h ${IFACE}/tqinputcontextfactory.h ${IFACE}/tqinputcontextplugin.h )
+    set( INPUTMETHOD_SOURCES ${IFACE}/tqinputcontext.cpp ${IFACE}/tqinputcontextfactory.cpp ${IFACE}/tqinputcontextplugin.cpp )
+endif()
 
 ##### headers ###################################
 
@@ -62,7 +66,7 @@
     ${IFACE}/tqfiledef.h ${IFACE}/tqfiledlg.h ${IFACE}/tqfileinf.h ${IFACE}/tqfontinf.h ${IFACE}/tqfontmet.h ${IFACE}/tqgbkcodec.h
     ${IFACE}/tqgeneric.h ${IFACE}/tqgif.h ${IFACE}/tqglobal.h ${IFACE}/tqgrpbox.h ${IFACE}/tqintcach.h ${IFACE}/tqiodev.h ${IFACE}/tqjpegio.h
     ${IFACE}/tqkeycode.h ${IFACE}/tqlined.h ${IFACE}/tqmenudta.h ${IFACE}/tqmetaobj.h ${IFACE}/tqmlined.h ${IFACE}/tqmngio.h
-    ${IFACE}/tqmodules.h ${IFACE}/tqmsgbox.h ${IFACE}/tqmultilinedit.h ${IFACE}/tqnetwork.h ${IFACE}/tqobjcoll.h ${IFACE}/tqobjdefs.h
+    ${IFACE}/tqmodules.h ${IFACE}/tqmsgbox.h ${IFACE}/tqmultilinedit.h ${IFACE}/tqnetwork.h ${IFACE}/tqobjcoll.h ${IFACE}/tqobjdefs.h ${IFACE}/tqobjectdefs.h
     ${IFACE}/tqpdevmet.h ${IFACE}/tqpmcache.h ${IFACE}/tqpntarry.h ${IFACE}/tqpopmenu.h
     ${IFACE}/tqprndlg.h ${IFACE}/tqprogbar.h ${IFACE}/tqprogdlg.h ${IFACE}/tqpushbt.h ${IFACE}/tqqueue.h ${IFACE}/tqradiobt.h ${IFACE}/tqrangect.h
     ${IFACE}/tqscrbar.h ${IFACE}/tqsession.h ${IFACE}/tqsocknot.h ${IFACE}/tqtabdlg.h ${IFACE}/tqtstream.h
@@ -95,6 +99,7 @@
     ${IFACE}/private/tqlayoutengine_p.h ${IFACE}/private/tqinternal_p.h ${IFACE}/private/tqeffects_p.h
     ${IFACE}/private/tqrichtext_p.h ${IFACE}/private/tqpluginmanager_p.h ${IFACE}/private/tqcom_p.h
     ${IFACE}/private/tqucom_p.h ${IFACE}/private/tqwidgetinterface_p.h ${IFACE}/private/tqtextengine_p.h
+    ${INPUTMETHOD_HEADERS}
   DESTINATION ${INCLUDE_INSTALL_DIR} )
 
 ##### tqt tools #################################
@@ -102,7 +107,6 @@
 configure_file( ${IFACE}/tmoc.cmake tmoc @ONLY )
 configure_file( uic-tqt.cmake uic-tqt @ONLY )
 configure_file( tqt-replace-tqt3.cmake tqt-replace @ONLY )
-configure_file( tqt-replace-stream-tqt3.cmake tqt-replace-stream @ONLY )
 
 install( PROGRAMS
     moc-tqt ${CMAKE_CURRENT_BINARY_DIR}/uic-tqt 
@@ -110,7 +114,6 @@
     dcopidl2cpp-tqt convert_qt_tqt1 convert_qt_tqt2
     convert_qt_tqt3 ${CMAKE_CURRENT_BINARY_DIR}/tmoc
     ${CMAKE_CURRENT_BINARY_DIR}/tqt-replace
-    ${CMAKE_CURRENT_BINARY_DIR}/tqt-replace-stream
   DESTINATION ${BIN_INSTALL_DIR} )
 
 
@@ -152,5 +155,3 @@
     ${IFACE}/tqmessagebox.cpp ${IFACE}/tqmotifplusstyle.cpp ${IFACE}/tqmotifstyle.cpp ${IFACE}/tqmultilineedit.cpp
     ${IFACE}/tqnetworkprotocol.cpp ${IFACE}/tqnp.cpp ${IFACE}/tqobjectcleanuphandler.cpp ${IFACE}/tqobject.cpp
     ${IFACE}/tqplatinumstyle.cpp ${IFACE}/tqpopupmenu.cpp ${IFACE}/tqprintdialog.cpp ${IFACE}/tqprocess.cpp
-    ${IFACE}/tqprogressbar.cpp ${IFACE}/tqprogressdialog.cpp ${IFACE}/tqpushbutton.cpp ${IFACE}/tqradiobutton.cpp
-    ${IFACE}/tqrangecontrol.cpp ${IFACE}/tqscrollbar.cpp ${IFACE}/tqscrollview.cpp ${IFACE}/tqsemimodal.cpp

=== debian/changelog ===
libtqtinterface (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:47:58 +0100

## libtqtinterface 14.1.3

=== debian/changelog ===
libtqtinterface (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Jul 2024 16:31:01 +0200

## libtqtinterface 14.1.4

=== debian/changelog ===
libtqtinterface (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## libtqtinterface 14.1.5~pre0

=== debian/changelog ===
libtqtinterface (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 1e47a12126905f620ab309d0b9ab887a7cefad8a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libtqtinterface 14.1.5

=== CMakeLists.txt ===
###########################################
#                                         #
#  (C) 2010-2011 Serghei Amelian          #
#  serghei (DOT) amelian (AT) gmail.com   #
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 2   #
#                                         #
###########################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( tqt )

set( TQT_MAJOR_VERSION 14 )
set( TQT_MINOR_VERSION 1 )
set( TQT_MICRO_VERSION 0 )
set( TQT_VERSION "${TQT_MAJOR_VERSION}.${TQT_MINOR_VERSION}.${TQT_MICRO_VERSION}" )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )

include( GNUInstallDirs OPTIONAL )


##### include our cmake modules

include( TDEMacros )


##### install paths setup

tde_setup_install_path( EXEC_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}" )
tde_setup_install_path( BIN_INSTALL_DIR     "${EXEC_INSTALL_PREFIX}/bin" )

if( CMAKE_INSTALL_LIBDIR )
   tde_setup_install_path( LIB_INSTALL_DIR  "${EXEC_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" )
 else()
   tde_setup_install_path( LIB_INSTALL_DIR  "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
endif()

tde_setup_install_path( INCLUDE_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/include/tqt" )
tde_setup_install_path( PKGCONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/pkgconfig" )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


# tqt.pc and tqtqui.pc definitions

set( QT_DEFINITIONS "-DTQT_NO_ASCII_CAST -DTQT_NO_STL -DTQT_NO_COMPAT -DTQT_NO_TRANSLATION -DTQT_THREAD_SUPPORT -D_REENTRANT" )


##### directories

add_subdirectory( qtinterface )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== qtinterface/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,6 @@
 
 if ( INPUTMETHOD_ENABLED )
     set( INPUTMETHOD_HEADERS ${IFACE}/tqinputcontext.h ${IFACE}/tqinputcontextfactory.h ${IFACE}/tqinputcontextplugin.h )
-    set( INPUTMETHOD_SOURCES ${IFACE}/tqinputcontext.cpp ${IFACE}/tqinputcontextfactory.cpp ${IFACE}/tqinputcontextplugin.cpp )
 endif()
 
 ##### headers ###################################
@@ -139,19 +138,8 @@
 
 
 tde_add_library( tqt SHARED
-  SOURCES
-    ${IFACE}/tqt.cpp ${IFACE}/tqaccel.cpp ${IFACE}/tqaccessible.cpp ${IFACE}/tqaction.cpp ${IFACE}/tqapplication.cpp
-    ${IFACE}/tqasyncio.cpp ${IFACE}/tqbuttongroup.cpp ${IFACE}/tqbutton.cpp ${IFACE}/tqcanvas.cpp ${IFACE}/tqcdestyle.cpp
-    ${IFACE}/tqcheckbox.cpp ${IFACE}/tqclipboard.cpp ${IFACE}/tqcolordialog.cpp ${IFACE}/tqcombobox.cpp
-    ${IFACE}/tqcommonstyle.cpp ${IFACE}/tqdatabrowser.cpp ${IFACE}/tqdatatable.cpp ${IFACE}/tqdataview.cpp
-    ${IFACE}/tqdatetimeedit.cpp ${IFACE}/tqdesktopwidget.cpp ${IFACE}/tqdial.cpp ${IFACE}/tqdialog.cpp ${IFACE}/tqdns.cpp
-    ${IFACE}/tqdockarea.cpp ${IFACE}/tqdockwindow.cpp ${IFACE}/tqdragobject.cpp ${IFACE}/tqerrormessage.cpp
-    ${IFACE}/tqeventloop.cpp ${IFACE}/tqframe.cpp ${IFACE}/tqftp.cpp ${IFACE}/tqfiledialog.cpp ${IFACE}/tqfontdialog.cpp
-    ${IFACE}/tqgl.cpp ${IFACE}/tqgplugin.cpp ${IFACE}/tqgrid.cpp ${IFACE}/tqgridview.cpp ${IFACE}/tqgroupbox.cpp
-    ${IFACE}/tqguardedptr.cpp ${IFACE}/tqhbox.cpp ${IFACE}/tqhbuttongroup.cpp ${IFACE}/tqheader.cpp
-    ${IFACE}/tqhgroupbox.cpp ${IFACE}/tqhttp.cpp ${IFACE}/tqiconview.cpp ${IFACE}/tqimageformatplugin.cpp
-    ${IFACE}/tqinputdialog.cpp ${IFACE}/tqlabel.cpp ${IFACE}/tqlayout.cpp ${IFACE}/tqlcdnumber.cpp ${IFACE}/tqlineedit.cpp
-    ${IFACE}/tqlistbox.cpp ${IFACE}/tqlistview.cpp ${IFACE}/tqlocalfs.cpp ${IFACE}/tqmainwindow.cpp ${IFACE}/tqmenubar.cpp
-    ${IFACE}/tqmessagebox.cpp ${IFACE}/tqmotifplusstyle.cpp ${IFACE}/tqmotifstyle.cpp ${IFACE}/tqmultilineedit.cpp
-    ${IFACE}/tqnetworkprotocol.cpp ${IFACE}/tqnp.cpp ${IFACE}/tqobjectcleanuphandler.cpp ${IFACE}/tqobject.cpp
-    ${IFACE}/tqplatinumstyle.cpp ${IFACE}/tqpopupmenu.cpp ${IFACE}/tqprintdialog.cpp ${IFACE}/tqprocess.cpp
+  SOURCES ${IFACE}/tqapplication.cpp
+  VERSION 4.2.0
+  LINK ${TQT_LIBRARIES}
+  DESTINATION ${LIB_INSTALL_DIR}
+)

=== debian/changelog ===
libtqtinterface (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

ifdef DEB_HOST_MULTIARCH
  CMAKE_INSTALL_LIBDIR = lib/$(DEB_HOST_MULTIARCH)
else
  CMAKE_INSTALL_LIBDIR = lib
endif

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_INSTALL_LIBDIR=$(CMAKE_INSTALL_LIBDIR)

## libtqtinterface 14.1.6~pre0

=== debian/changelog ===
libtqtinterface (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 1e47a12126905f620ab309d0b9ab887a7cefad8a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libtqtinterface 14.1.6~pre1

=== debian/changelog ===
libtqtinterface (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b5476dea6b45602622032d9087264ffe448e3e01
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tqtinterface

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 17 Dec 2025 05:01:41 +0100
